Loading...
Searching...
No Matches
url_aggregator.h File Reference

Declaration for the ada::url_aggregator class. More...

`#include <ostream>`
`#include <string>`
`#include <string_view>`
`#include <variant>`
`#include "ada/common_defs.h"`
`#include "ada/url_base.h"`
`#include "ada/url_components.h"`

Go to the source code of this file.

## Classes

struct | ada::url_aggregator
| Memory-efficient URL representation using a single buffer. More...

## Namespaces

namespace | ada
namespace | ada::parser
| Internal URL parsing implementation.

## Functions

std::ostream & | ada::operator<< (std::ostream &out, const ada::url &u)

## Detailed Description

Declaration for the ada::url_aggregator class.

This file contains the ada::url_aggregator struct which represents a parsed URL using a single buffer with component offsets. This is the default and most memory-efficient URL representation in Ada.

See also
  url.h for an alternative representation using separate strings

Definition in file url_aggregator.h.